TYPO3 Core - Bug #89444

TMENU - CUR not working with subpage and no translated page

2019-10-18 10:01 - Thomas Scheibitz

Status: Closed Start date: 2019-10-18
Priority: Should have Due date:

Assignee: % Done: 100%

Category: TypoScript Estimated time: 0.00 hour

Target version:

TYPO3 Version: 9 Complexity:

PHP Version: Is Regression:

Tags: Sprint Focus: On Location Sprint
Description

If | create a multilingual page with a subpage and the subpage is not translated, | don't get the desired CUR in the translated page

but CURIFSUB when | call it up.

Example:

Default

- Root

- Seite 1
- deutsch

English

- Root

- site 1

- deutsch (this page is not translated )

my config.ymil:

rootPagelId: 1
base: /
languages:

- title: Deutsch
enabled: true
languageId: '0'
base: /
typo3Language: default
locale: de_DE
1s0-639-1: de
navigationTitle: Deutsch
hreflang: de-DE
direction: ''
flag: de

title: English
enabled: true
languageId: 1
base: /en/
typo3Language: en
locale: en_US.UTF-8
is0-639-1: en
navigationTitle: English
hreflang: en-us
direction: ltr
flag: us
errorHandling: { }
routes: { }

my typoscript
lib.navigation.main = HMENU
lib.navigation.main {

1 = TMENU

1 {
expAll =1
NO =1
NO {

wrapltemAndSub = <1i>|</1li>

ACT < .NO
CUR < .NO
CUR {

linkWrap = 111]222

CURIFSUB < .NO
CURIFSUB {
linkWrap = 333|444

IFSUB < .NO

ACTIFSUB < .IFSUB
wrap = <ul>|</ul>

§¥ LOKAL: cms9 - TYPO3

v Test deutsch

¥ | | Seitel

| deutsch
Make new translation of this page

Deutsch

® & | deutsch
+ Content

=| ™ peutsch

Testseite

+ Content

+ Content
0 @ https://local.typo3-cms-9.de/seite]

« 333Seitel444
o deutsch

L & https://local.typo3-cms-9.de/en/sitel

« 333sitel444

Related issues:
Related to TYPO3 Core - Bug #93839: "Hide page if no translation for current ... Closed 2021-03-31

History

#1 - 2019-10-18 10:02 - Thomas Scheibitz

- Description updated

#2 - 2019-10-18 10:12 - Thomas Scheibitz

- Description updated

#3 - 2020-01-12 12:43 - Susanne Moog

- Sprint Focus set to On Location Sprint

#4 - 2022-01-06 16:30 - Benni Mack

- Related to Bug #93839: "Hide page if no translation for current language exists" not honored for not translated subpages added

#5 - 2022-01-06 18:39 - Benni Mack

- Status changed from New to Needs Feedback

Hey Thomas,

| tried reproducing your issue with TYPO3 v11 and can't seem to reproduce this one, can you check with latest v10 / v11 again please?
Thank you!

#6 - 2022-01-13 06:18 - Thomas Scheibitz

- Assignee set to Benni Mack

- % Done changed from 0 to 100

Hey Benni,

this seems to be fixed in TYPO3 V11.

#7 - 2022-01-13 07:47 - Riccardo De Contardi

- Status changed from Needs Feedback to Closed

- Assignee deleted (Benni Mack)

@Thomas Scheibitz thank you for your reply;

| close this issue; if you think that this is the wrong decision or there is still work to be done here, please reopen it or ping me.

Thank you.
